Name:		opticalraytracer
Version:	2.7
Release:	2%{?dist}
Summary:	Utility that analyzes systems of lenses

Group:		Amusements/Graphics    
License:	GPLv2+	  
URL:		http://arachnoid.com/OpticalRayTracer/index.html
Source0:	http://arachnoid.com/OpticalRayTracer/OpticalRayTracer_source.tar.gz
Source1:	%{name}.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	desktop-file-utils
BuildRequires:	java-1.6.0-openjdk-devel
BuildRequires:	java-devel
BuildRequires:	jpackage-utils
BuildRequires:	ant
BuildRequires:	ant-junit

Requires:	java
Requires:	jpackage-utils

%description
OpticalRayTracer is a X Window GUI-based utility that analyzes systems of 
lenses. It uses optical principles and a virtual optical bench to predict
the behavior of many kinds of ordinary and exotic lens types.

OpticalRayTracer includes an advanced, easy-to-use interface that allows the
user to rearrange the optical configuration by simply dragging lenses around 
using the mouse.

%package javadoc
Summary:		Javadocs for %{name}
Group:			Documentation
Requires:		%{name} = %{version}-%{release}
Requires:		jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -c

%build
ant 

%install
rm -rf $RPM_BUILD_ROOT

desktop-file-install --vendor="fedora" \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
%{SOURCE1}

install -D -p -m644 src/opticalraytracer/icons/OpticalRayTracer.png \
$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/OpticalRayTracer.png

mkdir -p $RPM_BUILD_ROOT%{_bindir}
cat > $RPM_BUILD_ROOT%{_bindir}/raytracer <<-EOF
	#!/bin/bash
	. /usr/share/java-utils/java-functions
	MAIN_CLASS=opticalraytracer.OpticalRayTracer
	set_classpath "%{name}-%{version}"
	run "$@"
EOF
chmod a+x $RPM_BUILD_ROOT%{_bindir}/raytracer

mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/OpticalRayTracer.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar


mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp dist/javadoc $RPM_BUILD_ROOT%{_javadocdir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%{_javadir}/*
%{_bindir}/raytracer
%{_datadir}/applications/fedora-opticalraytracer.desktop
%{_datadir}/icons/hicolor/32x32/apps/OpticalRayTracer.png
%doc src/opticalraytracer/help_resources/*

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 07 2010 Milos Jakubicek <xjakub@fi.muni.cz> - 2.7-1
- Update to 2.7: now a Java application

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 22 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 1.2-2
- Updated sources (just minor documentation changes) to match upstream.

* Sun Sep 14 2008 Milos Jakubicek <xjakub@fi.muni.cz> - 1.2-1
- Update to 1.2
- Revisited description
- Removed both -x86_64.patch and -autotools.patch as they were merged upstream.
- No more 'make -f Makefile.cvs dist' needed.

* Fri Sep 5 2008 Milos Jakubicek <xjakub@fi.muni.cz> - 1.1-1
- Initial release.
